﻿/*@import url('https://fonts.googleapis.com/css2?family=Noto+Kufi+Arabic:wght@600;700&family=Vazirmatn:wght@400;500;600&display=swap');*/
@font-face{
font-display:swap;
font-family:'Noto Kufi Arabic';
src:url('../fonts/NotoKufiArabic-SemiBold.ttf') format('truetype')
}
@font-face{
font-display:swap;
font-family:'Vazirmatn';
src:url('../fonts/Vazirmatn-Regular.woff2') format('woff2');
font-style:normal;
font-weight:400}
/*@font-face{
font-display:auto;
font-family:'Vazirmatn';
src:url('../fonts/Vazirmatn-Medium.woff2') format('woff2');
font-style:normal;
font-weight:500}*/
@font-face{
font-display:swap;
font-family:'Vazirmatn';
src:url('../fonts/Vazirmatn-SemiBold.woff2') format('woff2');
font-style:normal;
font-weight:600}

#blazor-error-ui{
display:none !important
}

body{
background-color:ghostwhite;
background-repeat:no-repeat;
background-attachment:fixed;
background-size:cover;
color:#000;
height:100%;
width:100%;
margin:0;
font-size:16px;
font-display:swap;
font-family:'Vazirmatn', sans-serif !important;
font-weight:400;
user-select:none
}

header{
margin-bottom:120px
}
td{
direction:ltr !important
}
.navbar {
background-image: linear-gradient(to bottom left, #002985, #0094e9) !important
}
.nav-border {
border-bottom: 2px groove #FF4600
}

.heading{
font-family:'Noto Kufi Arabic', sans-serif;
font-size:19px;
font-weight:600
}
.title{
font-weight:600;
font-size:19px
}

.description{
margin:0;
font-size:16px;
font-family:'Vazirmatn', sans-serif;
font-weight:400
}
.description-small{
font-size:14px!important
}
.title-underline{
background-image:linear-gradient(to right, rgba(255,70,0,.4),rgba(255,70,0,1), rgba(255,70,0,.4));
height:4px;
border-radius:30% 30%;
opacity:1
}
.title-underline2{
background-image:linear-gradient(to right, rgba(2,70,255,.4),rgba(2,70,255,1), rgba(2,70,255,.4));
height:4px;
border-radius:30% 30%;
opacity:1
}
.ver-col-1::before{
background-image:linear-gradient(rgba(255,69,0,.2),rgba(255,69,0,1), rgba(255,69,0,.2));
display:inline-block;
color:rgba(0,0,0,0);
content:"."
}
.ver-col-2::before , .ver-col-2::after{
background-image:linear-gradient(rgba(255,69,0,.2),rgba(255,69,0,1), rgba(255,69,0,.2));
display:inline-block;
color:rgba(0,0,0,0);
content:".";
font-size:28px
}

.acts, .nav-link:hover{
border-bottom:3px solid #ff4600 !important;
border-bottom-left-radius:20%;
border-bottom-right-radius:20%;
display:inline-block !important
}
.language-flag{
width:32px;
height:32px
}

.card-title{
font-family:'Vazirmatn', sans-serif;
font-weight:600
}
.card-footer{
font-size:16px !important
}

img{
pointer-events:none
}

.text-justify{
white-space:pre-line;
text-align:justify
}
.text-center{
text-align:center
}
textarea{
min-height:200px !important
}
.card-text-truncate{
overflow:hidden;
-webkit-box-orient:vertical;
display:-webkit-box;
overflow:hidden !important;
text-overflow:ellipsis;
-webkit-line-clamp:6
}

p, pre{
margin:0 0 10px 0
}
.link{
color:deepskyblue
}

.nav-link{
font-weight:700;
color:white !important
}
.dropdown-menu{
top:156% !important;
padding:0
}
.dropdown-menu li{
opacity:0
}
.dropdown-menu li{
animation:dropdown 1.4s forwards
}
.dropdown-menu[data-bs-popper]{
top:160%;
right:0;
margin-top:var(--bs-dropdown-spacer)
}
.dropdown-item{
font-size:19px;
font-weight:600;
color:black;
text-align:center
}
.dropdown-menu li{
border-bottom:1px solid #1d53a2
}
.dropdown-menu li:last-child{
border-bottom:0 !important
}


.animation-scale-up-down-14{
animation:animation-scale-up-down-14 .6s cubic-bezier(.390, .575, .565, 1) 2s 14 alternate-reverse both
}
.animation-popup-message{
animation:animation-popup-message 13s cubic-bezier(0.250, 0.460, 0.450, 0.940) 8s both
}
.animation-scale-up-center{
animation:animation-scale-up-center 1.5s cubic-bezier(.390, .575, .565, 1) .3s both
}
.animation-scale-up-right{
animation:animation-scale-up-right 1.2s cubic-bezier(.390, .575, .565, 1) .5s both
}
.animation-slide-bck-bottom{
animation:animation-slide-bck-bottom .8s cubic-bezier(.470, .000, .745, .715) 1.2s reverse both
}


a{
color:deepskyblue;
text-decoration:none
}
a:hover{
color:#d3e1ff
}

.w-75{
width:75%
}

.border-top-orange{
border-top:1px solid orangered
}

footer{
border-top:4px groove #FF4600;
background-image: linear-gradient(to bottom left, #0080e1, #002985) !important;
color:white !important;
}
.footer-link{
color:orangered !important
}
.footer-media-icon{
width:40px;
height:40px
}
.footer-signature{
font-size:15px;
margin:0 auto 0 auto;
text-align:center;
border-top:4px groove #dbdbdb
}

.float-button{
position:fixed;
width:58px;
height:58px;
bottom:20px;
left:20px;
color:#FFF;
background-color:orangered;
border-radius:20%;
text-align:center
}
hr{
border-color:#1d53a2 !important
}
.hr2{
border-color:#ff4600 !important
}



/*---------------------BlazorApp-------------------*/


.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}


/*---------------------BlazorApp-------------------*/





@media(min-width:280px){
header{
margin-bottom:110px
}

.navbar-brand img{
height:72px;
width:auto;
pointer-events:all
}

.footer-col-border{
border-left:none;
border-bottom:4px groove #FF4600;
margin-bottom:20px
}

.title-underline{
margin:0 2% 4% 2%
}

.title-underline2{
margin:0 2% 4% 2%
}
.breadcrumb-item{
font-size:14px !important
}
.article-pane{
border-left:0
}
}

@media(min-width:768px){
body{
/*background-image:url('/images/Background_Desktop.webp')*/
}
header{
margin-bottom:120px
}

.navbar-brand img{
height:84px;
width:auto
}

.title-underline{
margin:0 20% 1.5% 20%
}

.title-underline2{
margin:0 20% 1.5% 20%
}
.breadcrumb-item{
font-size:16px !important
}
}

@media(min-width:992px){
header{
margin-bottom:120px
}
.dropdown-menu li{
border-bottom:1px solid #ff4600
}
.heading{
font-size:24px
}
body{
font-size:18px
}
.title{
font-size:21px
}
.description{
font-size:18px
}

.footer-col-border{
border-bottom:none;
margin-bottom:0;
border-left:4px groove #FF4600
}

.article-pane{
border-left:1px outset #1d53a2
}
}


@keyframes dropdown{
100%{
opacity:1
}}

@keyframes animation-scale-up-down-14{
0%{
transform:scale(.75)
}
100%{
transform:scale(1)
}}

@keyframes animation-scale-up-center{
0%{
transform:scale(.5);
opacity:.8
}
100%{
transform:scale(1);
opacity:1
}}

@keyframes animation-scale-up-right{
0%{
transform:scale(.6);
transform-origin:100% 0%;
opacity:.8
}
100%{
transform:scale(1);
transform-origin:100% 0%;
opacity:1
}}

@keyframes animation-slide-bck-bottom{
0%{
transform:translateY(0) scale(1);
opacity:1
}
100%{
transform:translateY(40px) scale(.8);
opacity:.6
}}

@keyframes animation-popup-message{
0%{
transform:translateY(1000px) translateX(1000px);
opacity:0
}
10%{
transform:translateY(0) translateX(0);
opacity:1
}
90%{
transform:translateY(0) translateX(0);
opacity:1
}
100%{
transform:translateX(1000px);
opacity:0
}}



.dropdown-menu li:first-child{
animation-delay:0s
}
.dropdown-menu li:nth-child(2){
animation-delay:0.4s
}
.dropdown-menu li:nth-child(3){
animation-delay:.8s
}
.dropdown-menu li:nth-child(4){
animation-delay:1.2s
}
.dropdown-menu li:nth-child(5){
animation-delay:1.6s
}
.dropdown-menu .dropdown-item:nth-child(6){
animation-delay:2s
}
.dropdown-menu .dropdown-item:nth-child(7){
animation-delay:2.4s
}
.dropdown-menu .dropdown-item:nth-child(8){
animation-delay:2.8s
}
.dropdown-menu .dropdown-item:nth-child(9){
animation-delay:3.2s
}

